## EmpathyDebugger

EmpathyDebugger

## Synopsis

    #define             DEBUG_MESSAGE_LIMIT
                        EmpathyDebugMessage;
                        EmpathyDebugger;
    EmpathyDebugger *   empathy_debugger_get_singleton      (void);
    void                empathy_debugger_add_message        (EmpathyDebugger *self,
                                                             GTimeVal *timestamp,
                                                             const gchar *domain,
                                                             GLogLevelFlags level,
                                                             const gchar *string);

## Object Hierarchy

      GObject
       +----EmpathyDebugger

## Implemented Interfaces

EmpathyDebugger implements EmpSvcDebug and TpSvcDBusProperties.

## Properties

      "enabled"                  gboolean              : Read / Write

## Description

## Details

### DEBUG_MESSAGE_LIMIT

    #define DEBUG_MESSAGE_LIMIT 800

### EmpathyDebugMessage

    typedef struct {
      gdouble timestamp;
      gchar *domain;
      EmpDebugLevel level;
      gchar *string;
    } EmpathyDebugMessage;

### EmpathyDebugger

    typedef struct _EmpathyDebugger EmpathyDebugger;

### empathy_debugger_get_singleton ()

    EmpathyDebugger *   empathy_debugger_get_singleton      (void);

Returns : |

### empathy_debugger_add_message ()

    void                empathy_debugger_add_message        (EmpathyDebugger *self,
                                                             GTimeVal *timestamp,
                                                             const gchar *domain,
                                                             GLogLevelFlags level,
                                                             const gchar *string);

`self` : |
`timestamp` : |
`domain` : |
`level` : |
`string` : |

## Property Details

### The `"enabled"` property

      "enabled"                  gboolean              : Read / Write

True if the new-debug-message signal is enabled.

Default value: FALSE